# cv::Formatter Class Reference

`#include <operations.hpp>`

List of all members.

## Public Member Functions

virtual void | write (std::ostream &out, const Mat &m, const int *params=0, int nparams=0) const =0
virtual void | write (std::ostream &out, const void *data, int nelems, int type, const int *params=0, int nparams=0) const =0
virtual | ~Formatter ()

## Static Public Member Functions

static const Formatter * | get (const char *fmt="")
static const Formatter * | setDefault (const Formatter *fmt)

## Constructor & Destructor Documentation

virtual cv::Formatter::~Formatter | ( | ) | `[inline, virtual]`

## Member Function Documentation

static const Formatter* cv::Formatter::get | ( | const char * | fmt = `""` ) | `[static]`

static const Formatter* cv::Formatter::setDefault | ( | const Formatter * | fmt ) | `[static]`

virtual void cv::Formatter::write | ( | std::ostream & | out,
|  | const Mat & | m,
|  | const int * | params = `0`,
|  | int | nparams = `0`
| ) |  | const`[pure virtual]`

virtual void cv::Formatter::write | ( | std::ostream & | out,
|  | const void * | data,
|  | int | nelems,
|  | int | type,
|  | const int * | params = `0`,
|  | int | nparams = `0`
| ) |  | const`[pure virtual]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines